<?php 
$user = $this->user;
$brandName = $this->brandName;
?>
<nav class="navbar navbar-default">
    <div class="wrapper">

        <? if($user) { ?>

            <div class="navbar-header">
                <div class="dropdown user hidden-sm hidden-md hidden-lg pull-right">
                    <a href="#" class="dropdown-toggle head-font" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                        <i></i>
                        <i></i>
                        <i></i>
                    </a>
                    <ul class="dropdown-menu">

                        <li><a href="<?= $this->url('root/register'); ?>">Register new Brand</a></li>
                        <li><a href="<?= $this->url('root/myBrand'); ?>">Manage my brand</a></li>
                        <li><a href="<?= $this->url('root/userSettings'); ?>">Account settings</a></li>
                        <?php 
                            $draftCnt = (isset($this->draftspostCnt) && $this->draftspostCnt > 0) ? '('.$this->draftspostCnt.')' : '';
                        ?>
                        <li><a href="<?php echo $this->url('root/brandFeed', ['brandUrl' => $this->thisBrand->url, 'postIdOrType' => 'drafts']); ?>">Saved Drafts <?php echo $draftCnt; ?></a></li>
                        <!-- hidden until we fill it with some content
                            <li><a href="<?= $this->url('root/brandOwnerHelp'); ?>">Help</a></li> -->
                        <?
                        if($user->isAdmin()) {
                            ?>
                            <li><a href="<?= $this->url('root/adminPanel') ?>">Admin Panel</a></li>
                            <?
                        }
                        ?>
                        <li><a href="<?= $this->url('root/logout', ['sessionId' => $user->sessionId]) ?>">Sign out</a></li>

                    </ul>
                </div>
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse" aria-expanded="false">
                    <span class="icon-menu"></span>
                </button>
                <span class="navbar-brand head-font">
                    <a href="<?php echo $this->url('root/brandFeed', ['brandUrl' => $this->thisBrand->url]); ?>" class="home-feed"><i class="fa fa-home" aria-hidden="true"></i></a>
                    <h4><?= $brandName !== null ? $brandName : 'Love a Brand' ?></h4>
                    <span class="icon-check-circled"></span>
                </span>
            </div>
            <div class="collapse navbar-collapse" id="navbar-collapse">
                <form class="navbar-form navbar-left" method="get" role="search" action="<?php echo $this->url('root/discover', ['action' => 'search']); ?>">
                    <div class="form-group">
                        <input type="search" name="q" class="form-control light" placeholder="Search brands...">
                        <button type="submit" class="icon-magnifier"></button>
                    </div>
                </form>
                <ul class="nav navbar-nav navbar-right category-mobile-container">
                    <li class="notf hidden-xs">
                        <a href="#" id="notification" class="active">
                            <i class="notf-pop notificationCounter" id="notificationDropdownIconIndicator" style="display: none;"></i>
                            <span>
                                <img src="/img/email-1.png" alt="">
                            </span>
                            
                        </a>
                        <div class="notf-drop">
                            <ul class="list-unstyled" id="notificationDropdownContent">

                                <li><a href="#">
                                        <p class="text-muted"><em>No new notifications</em></p>
                                </a></li>

                            </ul>
                        </div>
                    </li>

                    <li class="hidden-sm hidden-md hidden-lg category-mobile-marker"><a href="#">Notifications <span class="notificationCounter parentheses"></span></a></li>

                    <li class="dropdown user hidden-xs">
                        <a href="#" class="dropdown-toggle head-font" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                            <!--<img class="profile-pic" src="<? //$this->imageLinker()->getUserAvatarLink($user); ?>" alt=""/>-->
                            <img class="profile-pic" src="<?= $this->thisBrandLogoURL; ?>" alt=""/>
                            <span class="icon-user hidden"></span>
                            <?/*= $user->fullName*/ ?> <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu">
                            <li><a href="<?= $this->url('root/register'); ?>">Register new Brand</a></li>
                            <li><a href="<?= $this->url('root/myBrand'); ?>">Manage my brand</a></li>
                            <li><a href="<?= $this->url('root/userSettings'); ?>">Account settings</a></li>
                            <?php 
                            $draftCnt = (isset($this->draftspostCnt) && $this->draftspostCnt > 0) ? '('.$this->draftspostCnt.')' : '';
                        ?>
                            <li><a href="<?php echo $this->url('root/brandFeed', ['brandUrl' => $this->thisBrand->url, 'postIdOrType' => 'drafts']); ?>">Saved Drafts <?php echo $draftCnt; ?></a></li>
                        
                            <!-- hidden until we fill it with some content
                            <li><a href="<?= $this->url('root/brandOwnerHelp'); ?>">Help</a></li> -->
                            <?
                            if($user->isAdmin()) {
                                ?>
                                <li><a href="<?= $this->url('root/adminPanel') ?>">Admin Panel</a></li>
                                <?
                            }
                            ?>
                            <li><a href="<?= $this->url('root/logout', ['sessionId' => $user->sessionId]) ?>">Sign out</a></li>
                        </ul>
                    </li>
                </ul>
            </div><!-- /.navbar-collapse -->

        <? }else{ ?>

            <div class="navbar-header">
                <div class="dropdown user hidden-sm hidden-md hidden-lg pull-right">
                    <a href="#" class="dropdown-toggle head-font" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                        <i></i>
                        <i></i>
                        <i></i>
                    </a>
                    <ul class="dropdown-menu">

                        <li><a href="<?= $this->url('root/register'); ?>">Join us</a></li>
                        <li><a href="<?= $this->url('root/signin'); ?>">I already have an account</a></li>

                    </ul>
                </div>
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse" aria-expanded="false">
                    <span class="icon-menu"></span>
                </button>
                <span class="navbar-brand head-font">
                    <a href="<?php echo $this->url('root/brandFeed', ['brandUrl' => $this->thisBrand->url]); ?>" class="home-feed"><i class="fa fa-home" aria-hidden="true"></i></a>
                    <h4><?= $brandName !== null ? $brandName : 'Love a Brand' ?></h4>
                    <span class="icon-check-circled"></span>
                </span>
            </div>
            <div class="collapse navbar-collapse" id="navbar-collapse">
                <form class="navbar-form navbar-left" role="search">
                    <div class="form-group">
                        <input type="search" class="form-control light" placeholder="Search brands...">
                        <button type="submit" class="icon-magnifier"></button>
                    </div>
                </form>
                <ul class="nav navbar-nav navbar-right">

                    <li class="hidden-sm hidden-md hidden-lg"><a href="<?= $this->url('root/register'); ?>">Join us</a></li>
                    <li class="hidden-sm hidden-md hidden-lg"><a href="<?= $this->url('root/signin'); ?>">I already have an account</a></li>

                    <li class="dropdown user hidden-xs">

                        <a href="#" class="dropdown-toggle head-font" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                            <span class="icon-user hidden"></span>
                            Sign In <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu">
                            <li><a href="<?= $this->url('root/register'); ?>">Join us</a></li>
                            <li><a href="<?= $this->url('root/signin'); ?>">I already have an account</a></li>
                        </ul>

                    </li>

                </ul>


            </div><!-- /.navbar-collapse -->

        <? } ?>

    </div><!-- /.container-fluid -->
</nav>